Debian Bug report logs - #706980
PECL packages support

version graph

Package: pkg-php-tools; Maintainer for pkg-php-tools is Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>; Source for pkg-php-tools is src:pkg-php-tools.

Reported by: Prach Pongpanich <prachpub@gmail.com>

Date: Mon, 6 May 2013 16:15:02 UTC

Severity: wishlist

Fixed in version pkg-php-tools/1.5

Done: Mathieu Parent <sathieu@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>:
Bug#706980; Package pkg-php-tools. (Mon, 06 May 2013 16:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Prach Pongpanich <prachpub@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>. (Mon, 06 May 2013 16:15:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Prach Pongpanich <prachpub@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: PECL packages support
Date: Mon, 6 May 2013 23:13:48 +0700
Package: pkg-php-tools
Severity: wishlist

On 05/06/2013 09:29 PM, Mathieu Parent wrote:
> Migrating PECL packages would also be great (but pieces are missing on
> the pkg-php-tools side, I've started to work on this).

Thanks in advance,

 Prach



Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>:
Bug#706980; Package pkg-php-tools. (Mon, 27 May 2013 06:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Parent <math.parent@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>. (Mon, 27 May 2013 06:27:04 GMT) Full text and rfc822 format available.

Message #10 received at 706980@bugs.debian.org (full text, mbox):

From: Mathieu Parent <math.parent@gmail.com>
To: Thomas Goirand <zigo@debian.org>, Jonas Genannt <jonas.genannt@capi2name.de>, 706980@bugs.debian.org
Cc: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Subject: Re: [pkg-php-pear] RFS: php5-stomp - STOMP module
Date: Mon, 27 May 2013 08:24:16 +0200
2013/5/25 Thomas Goirand <zigo@debian.org>:
> On 05/24/2013 03:17 PM, Jonas Genannt wrote:
>> Hello,
>>
>> I have done packaging of php5-stomp module. It's available at git:
>>
>>       http://anonscm.debian.org/gitweb?p=pkg-php/php-stomp.git;a=summary
>>
>> That package as yet one lintian warning:
>>
>>       W: php5-stomp: hardening-no-fortify-functions   usr/lib/php5/20100525/stomp.so
>>
>> But after reading  http://bugs.debian.org/673112 I think we can ignore
>> it. Should we create an lintian override file for it?
>>
>> Can any DD please check the package?
>
> Hi,

Hi Thomas, hi Jonas,

[...]
>
> Now, your package doesn't seem to be using pkg-php-tools. Please do use
> it (eg: depend on it, and use it in your rules file). I will not sponsor
> any new package that isn't using it because of a valid reason. It is
> otherwise too hard to maintain in a consistent way. Note also that we
> believe using pkg-php-tools should be a release goal for the team.

Unfortunately, PECL support in pkg-php-tools is not ready (#706980).
Help is welcome:

I want a proper solution that run phpize and then let core debhelper
(Debian::Debhelper::Buildsystem::autoconf) do the usual
configure/make/make install (see [pecl-phpize]). This requires
changing the "sourcedir".

[pecl-phpize]: http://www.php.net/manual/en/install.pecl.phpize.php


> Besides this, you don't need to do a case in your postinst and postrm.
>
> if [ "${1}" = "configure" ] || [ "${1}" = "reconfigure" ] ; then
>
> is enough, IMO, if you don't use the other values (your script will be
> shorter, so easier to read). Checking for "unknown arguments" has very
> little value. Anyway, pkg-php-tools must be taking care of that, no? (I
> have never packaged nor reviewed PECL extensions... others may tell more
> about it)

Haven't thought about that, but yes: pkg-php-tools should add the
a2enmod/a2dismod snipset on PECL packages.

[...]

Regards

--
Mathieu



Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>:
Bug#706980; Package pkg-php-tools. (Mon, 27 May 2013 08:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Prach Pongpanich <prachpub@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>. (Mon, 27 May 2013 08:33:08 GMT) Full text and rfc822 format available.

Message #15 received at 706980@bugs.debian.org (full text, mbox):

From: Prach Pongpanich <prachpub@gmail.com>
To: Mathieu Parent <math.parent@gmail.com>, 706980@bugs.debian.org
Cc: Jonas Genannt <jonas.genannt@capi2name.de>, Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Subject: Re: [pkg-php-pear] Bug#706980: RFS: php5-stomp - STOMP module
Date: Mon, 27 May 2013 15:30:20 +0700
On Mon, May 27, 2013 at 1:24 PM, Mathieu Parent <math.parent@gmail.com> wrote:
>
> Unfortunately, PECL support in pkg-php-tools is not ready (#706980).
> Help is welcome:
>
> I want a proper solution that run phpize and then let core debhelper
> (Debian::Debhelper::Buildsystem::autoconf) do the usual
> configure/make/make install (see [pecl-phpize]). This requires
> changing the "sourcedir".
>
> [pecl-phpize]: http://www.php.net/manual/en/install.pecl.phpize.php

We can use "phpize --clean" for clean the sourcedir.

> Haven't thought about that, but yes: pkg-php-tools should add the
> a2enmod/a2dismod snipset on PECL packages.

It seem look like the dh_apache2 [1], I hope this help.

[1] http://anonscm.debian.org/gitweb/?p=pkg-apache/apache2.git;a=tree;f=debian/debhelper;hb=next

Cheers,

  Prach



Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>:
Bug#706980; Package pkg-php-tools. (Mon, 27 May 2013 08:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Parent <math.parent@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>. (Mon, 27 May 2013 08:39:08 GMT) Full text and rfc822 format available.

Message #20 received at 706980@bugs.debian.org (full text, mbox):

From: Mathieu Parent <math.parent@gmail.com>
To: Prach Pongpanich <prachpub@gmail.com>
Cc: 706980@bugs.debian.org, Jonas Genannt <jonas.genannt@capi2name.de>, Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Subject: Re: [pkg-php-pear] Bug#706980: RFS: php5-stomp - STOMP module
Date: Mon, 27 May 2013 10:35:51 +0200
2013/5/27 Prach Pongpanich <prachpub@gmail.com>:
> On Mon, May 27, 2013 at 1:24 PM, Mathieu Parent <math.parent@gmail.com> wrote:
>>
>> Unfortunately, PECL support in pkg-php-tools is not ready (#706980).
>> Help is welcome:
>>
>> I want a proper solution that run phpize and then let core debhelper
>> (Debian::Debhelper::Buildsystem::autoconf) do the usual
>> configure/make/make install (see [pecl-phpize]). This requires
>> changing the "sourcedir".
>>
>> [pecl-phpize]: http://www.php.net/manual/en/install.pecl.phpize.php
>
> We can use "phpize --clean" for clean the sourcedir.

Yes.

I have asked for the proper way to set sourcedir in #709975.


>> Haven't thought about that, but yes: pkg-php-tools should add the
>> a2enmod/a2dismod snipset on PECL packages.
>
> It seem look like the dh_apache2 [1], I hope this help.

Good. Then better not to duplicate effort.

Cheers
--
Mathieu



Added blocking bug(s) of 706980: 709975 Request was from Mathieu Parent <math.parent@gmail.com> to control@bugs.debian.org. (Mon, 27 May 2013 08:39:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>:
Bug#706980; Package pkg-php-tools. (Mon, 27 May 2013 15:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Parent <math.parent@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>. (Mon, 27 May 2013 15:24:04 GMT) Full text and rfc822 format available.

Message #27 received at 706980@bugs.debian.org (full text, mbox):

From: Mathieu Parent <math.parent@gmail.com>
To: Prach Pongpanich <prachpub@gmail.com>
Cc: 706980@bugs.debian.org, Jonas Genannt <jonas.genannt@capi2name.de>, Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Subject: Re: [pkg-php-pear] Bug#706980: RFS: php5-stomp - STOMP module
Date: Mon, 27 May 2013 17:21:24 +0200
Hi,

2013/5/27 Mathieu Parent <math.parent@gmail.com>:
> 2013/5/27 Prach Pongpanich <prachpub@gmail.com>:
>> On Mon, May 27, 2013 at 1:24 PM, Mathieu Parent <math.parent@gmail.com> wrote:
>>>
>>> Unfortunately, PECL support in pkg-php-tools is not ready (#706980).
>>> Help is welcome:

PECL support is now ready to be tested. It will come in experimental
in a few minutes with pkg-php-tools 1.5.

Please report any problem.

I has only been tested with php-horde-lz4 for now.

http://anonscm.debian.org/gitweb/?p=pkg-horde/PEAR/php-horde-lz4.git

Regards
--
Mathieu



Reply sent to Mathieu Parent <sathieu@debian.org>:
You have taken responsibility. (Mon, 27 May 2013 15:45:14 GMT) Full text and rfc822 format available.

Notification sent to Prach Pongpanich <prachpub@gmail.com>:
Bug acknowledged by developer. (Mon, 27 May 2013 15:45:14 GMT) Full text and rfc822 format available.

Message #32 received at 706980-close@bugs.debian.org (full text, mbox):

From: Mathieu Parent <sathieu@debian.org>
To: 706980-close@bugs.debian.org
Subject: Bug#706980: fixed in pkg-php-tools 1.5
Date: Mon, 27 May 2013 15:40:41 +0000
Source: pkg-php-tools
Source-Version: 1.5

We believe that the bug you reported is fixed in the latest version of
pkg-php-tools, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 706980@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mathieu Parent <sathieu@debian.org> (supplier of updated pkg-php-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 27 May 2013 17:16:43 +0200
Source: pkg-php-tools
Binary: pkg-php-tools
Architecture: source all
Version: 1.5
Distribution: experimental
Urgency: low
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Changed-By: Mathieu Parent <sathieu@debian.org>
Description: 
 pkg-php-tools - various packaging tools and scripts for PHP PEAR packages
Closes: 706980
Changes: 
 pkg-php-tools (1.5) experimental; urgency=low
 .
   * Release to experimental: Time to test!
   * PECL packages support (Closes: #706980)
     - chdir to package directory and pass commands to parent
       Debian::Debhelper::Buildsystem::autoconf for configure, build, install
       and clean
     - run phpize before configure
     - set INSTALLROOT on install
     - Automatically fill depends with PHP API version
     - Also run pear install for non compiled files
     - Clean up tmp files
Checksums-Sha1: 
 81b431a7651e10b7d87538eb3b4001e74c5a2ec1 1039 pkg-php-tools_1.5.dsc
 08a18d2da030cf3aaa4285109f5ac543606559df 13610 pkg-php-tools_1.5.tar.gz
 c4c102131da47392b41bb05ff75b30f4934a87e8 18436 pkg-php-tools_1.5_all.deb
Checksums-Sha256: 
 86ec239ee38a3fb1f5cbff5db8ef8ad80f6b2d16af642e27c97f21a53f74edf7 1039 pkg-php-tools_1.5.dsc
 a35bf648058ebfe3e4e0037a363c0bd2c192388340fd93226a72513357e55bfa 13610 pkg-php-tools_1.5.tar.gz
 f47f6988d928d3f206838f420d5328504e8500af5f03febcd01ace425c450fe4 18436 pkg-php-tools_1.5_all.deb
Files: 
 3fbfafa7f20c68c8ea1d3c7488ab251c 1039 php extra pkg-php-tools_1.5.dsc
 1b13b24a64981236c8e2dd6dc268f1ee 13610 php extra pkg-php-tools_1.5.tar.gz
 5638f59b28d4ea8b6ed6186f59296c6c 18436 php extra pkg-php-tools_1.5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlGjeRkACgkQOW2jYf5fHX8GgwCgj+q6yrKQFRTc0xi5sSrF8IMc
2/EAnjeLp6Ds2WY8jATp772Wgk1xIA5/
=Ok9s
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>:
Bug#706980; Package pkg-php-tools. (Tue, 28 May 2013 07:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Genannt <jonas.genannt@capi2name.de>:
Extra info received and forwarded to list. Copy sent to Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>. (Tue, 28 May 2013 07:39:04 GMT) Full text and rfc822 format available.

Message #37 received at 706980@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: Mathieu Parent <math.parent@gmail.com>
Cc: Prach Pongpanich <prachpub@gmail.com>, 706980@bugs.debian.org, Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Subject: Re: [pkg-php-pear] Bug#706980: RFS: php5-stomp - STOMP module
Date: Tue, 28 May 2013 09:26:37 +0200
Hello,

> >>> Unfortunately, PECL support in pkg-php-tools is not ready
> >>> (#706980). Help is welcome:
> 
> PECL support is now ready to be tested. It will come in experimental
> in a few minutes with pkg-php-tools 1.5.
> 
> Please report any problem.

I have changed php5-stomp to new pkg-php-tools helper:

	http://anonscm.debian.org/gitweb/?p=pkg-php/php-stomp.git


The only problem I have seen so far, is that
"${phppear:Debian-Depends}" has no content. So depends line for
php5-stomp is only:

Depends: libc6 (>= 2.14)

But it should also contain: phpapi-20100525

My depends line at d/control is:

Depends: ${shlibs:Depends}, ${misc:Depends}, ${phppear:Debian-Depends}


Greets,
	Jonas



Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>:
Bug#706980; Package pkg-php-tools. (Tue, 28 May 2013 07:57:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Prach Pongpanich <prachpub@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>. (Tue, 28 May 2013 07:57:17 GMT) Full text and rfc822 format available.

Message #42 received at 706980@bugs.debian.org (full text, mbox):

From: Prach Pongpanich <prachpub@gmail.com>
To: Jonas Genannt <jonas.genannt@capi2name.de>
Cc: Mathieu Parent <math.parent@gmail.com>, 706980@bugs.debian.org, Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Subject: Re: [pkg-php-pear] Bug#706980: RFS: php5-stomp - STOMP module
Date: Tue, 28 May 2013 14:56:21 +0700
On Tue, May 28, 2013 at 2:26 PM, Jonas Genannt
<jonas.genannt@capi2name.de> wrote:
> Hello,
>
>> >>> Unfortunately, PECL support in pkg-php-tools is not ready
>> >>> (#706980). Help is welcome:
>>
>> PECL support is now ready to be tested. It will come in experimental
>> in a few minutes with pkg-php-tools 1.5.
>>
>> Please report any problem.
>
> I have changed php5-stomp to new pkg-php-tools helper:
>
>         http://anonscm.debian.org/gitweb/?p=pkg-php/php-stomp.git
>
>
> The only problem I have seen so far, is that
> "${phppear:Debian-Depends}" has no content. So depends line for
> php5-stomp is only:
>
> Depends: libc6 (>= 2.14)
>
> But it should also contain: phpapi-20100525
>
> My depends line at d/control is:
>
> Depends: ${shlibs:Depends}, ${misc:Depends}, ${phppear:Debian-Depends}
>

I confirmed that (dh_phppear):
dpkg-gencontrol: warning: Depends field of package php-oauth [1]:
unknown substitution variable ${phppear:Debian-Depends}

The binary package contain empty directory.

/usr/share/php/.registry

[1] http://anonscm.debian.org/gitweb/?p=pkg-php/php-oauth.git

Regrads,

 Prach Pongpanich



Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>:
Bug#706980; Package pkg-php-tools. (Tue, 28 May 2013 10:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Parent <math.parent@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>. (Tue, 28 May 2013 10:21:05 GMT) Full text and rfc822 format available.

Message #47 received at 706980@bugs.debian.org (full text, mbox):

From: Mathieu Parent <math.parent@gmail.com>
To: Prach Pongpanich <prachpub@gmail.com>
Cc: Jonas Genannt <jonas.genannt@capi2name.de>, 706980@bugs.debian.org, Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Subject: Re: [pkg-php-pear] Bug#706980: RFS: php5-stomp - STOMP module
Date: Tue, 28 May 2013 12:16:01 +0200
2013/5/28 Prach Pongpanich <prachpub@gmail.com>:
> On Tue, May 28, 2013 at 2:26 PM, Jonas Genannt
> <jonas.genannt@capi2name.de> wrote:
>> Hello,
>>
>>> >>> Unfortunately, PECL support in pkg-php-tools is not ready
>>> >>> (#706980). Help is welcome:
>>>
>>> PECL support is now ready to be tested. It will come in experimental
>>> in a few minutes with pkg-php-tools 1.5.
>>>
>>> Please report any problem.
>>
>> I have changed php5-stomp to new pkg-php-tools helper:
>>
>>         http://anonscm.debian.org/gitweb/?p=pkg-php/php-stomp.git
>>
>>
>> The only problem I have seen so far, is that
>> "${phppear:Debian-Depends}" has no content. So depends line for
>> php5-stomp is only:
>>
>> Depends: libc6 (>= 2.14)
>>
>> But it should also contain: phpapi-20100525

Works for me:
$ dpkg-deb --info ../build-area/php5-stomp_1.0.5-1_i386.deb
 nouveau paquet Debian, version 2.0.
 taille 30474 octets : archive de contrĂ´le=1596 octets.
      35 octets,     1 lignes      conffiles
     522 octets,    14 lignes      control
    2400 octets,    29 lignes      md5sums
     113 octets,    10 lignes   *  postinst             #!/bin/sh
     136 octets,    10 lignes   *  prerm                #!/bin/sh
 Package: php5-stomp
 Source: php-stomp
 Version: 1.0.5-1
 Architecture: i386
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Installed-Size: 177
 Depends: libc6 (>= 2.4), php-pear (>= 1.4.0), php5 (>= 5.2.2),
phpapi-20100525+lfs
 Section: web
 Priority: optional
 Homepage: http://pecl.php.net/package/stomp
 Description: stomp module for PHP 5
  This extension allows php applications to communicate with any
  Stomp compliant Message Brokers through easy object oriented and
  procedural interfaces.


What does this output?:
$ /usr/share/pkg-php-tools/scripts/phppkginfo -d debian_deps .
Depends: php5 (>= 5.2.2), php-pear (>= 1.4.0), phpapi-20100525+lfs

Maybe php 5.5 introduced some regression.

>> My depends line at d/control is:
>>
>> Depends: ${shlibs:Depends}, ${misc:Depends}, ${phppear:Debian-Depends}
>>
>
> I confirmed that (dh_phppear):
> dpkg-gencontrol: warning: Depends field of package php-oauth [1]:
> unknown substitution variable ${phppear:Debian-Depends}

Same questions.

> The binary package contain empty directory.
>
> /usr/share/php/.registry
>
> [1] http://anonscm.debian.org/gitweb/?p=pkg-php/php-oauth.git
>
> Regrads,
>
>  Prach Pongpanich



--
Mathieu



Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>:
Bug#706980; Package pkg-php-tools. (Tue, 28 May 2013 11:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Genannt <jonas.genannt@capi2name.de>:
Extra info received and forwarded to list. Copy sent to Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>. (Tue, 28 May 2013 11:03:07 GMT) Full text and rfc822 format available.

Message #52 received at 706980@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: Mathieu Parent <math.parent@gmail.com>
Cc: Prach Pongpanich <prachpub@gmail.com>, 706980@bugs.debian.org, Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Subject: Re: [pkg-php-pear] Bug#706980: RFS: php5-stomp - STOMP module
Date: Tue, 28 May 2013 12:58:25 +0200
Hello,

> 
> What does this output?:
> $ /usr/share/pkg-php-tools/scripts/phppkginfo -d debian_deps .
> Depends: php5 (>= 5.2.2), php-pear (>= 1.4.0), phpapi-20100525+lfs

on an fresh created sid chroot (sbuild-createchroot) + enabled
experimental repro and installed manually php5 /php5-dev and
pkg-php-tools from experimental.

It seems to work:

/usr/share/pkg-php-tools/scripts/phppkginfo -d debian_deps .
Depends: php5 (>= 5.2.2), php-pear (>= 1.4.0), phpapi-20121212

But the d/control in the Debian package (deb) does not contain that
information.

Thanks,
	Jonas



Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>:
Bug#706980; Package pkg-php-tools. (Tue, 28 May 2013 11:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Parent <math.parent@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>. (Tue, 28 May 2013 11:18:04 GMT) Full text and rfc822 format available.

Message #57 received at 706980@bugs.debian.org (full text, mbox):

From: Mathieu Parent <math.parent@gmail.com>
To: Jonas Genannt <jonas.genannt@capi2name.de>
Cc: Prach Pongpanich <prachpub@gmail.com>, 706980@bugs.debian.org, Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Subject: Re: [pkg-php-pear] Bug#706980: RFS: php5-stomp - STOMP module
Date: Tue, 28 May 2013 13:15:59 +0200
2013/5/28 Jonas Genannt <jonas.genannt@capi2name.de>:
> Hello,
>
>>
>> What does this output?:
>> $ /usr/share/pkg-php-tools/scripts/phppkginfo -d debian_deps .
>> Depends: php5 (>= 5.2.2), php-pear (>= 1.4.0), phpapi-20100525+lfs
>
> on an fresh created sid chroot (sbuild-createchroot) + enabled
> experimental repro and installed manually php5 /php5-dev and
> pkg-php-tools from experimental.
>
> It seems to work:
>
> /usr/share/pkg-php-tools/scripts/phppkginfo -d debian_deps .
> Depends: php5 (>= 5.2.2), php-pear (>= 1.4.0), phpapi-20121212
>
> But the d/control in the Debian package (deb) does not contain that
> information.

And if you run?:
dh_phppear
cat debian/*.substvars

It seems that the substvars are duplicated because of a extra newline
in debian_deps output. WIll fix and upload

Regards
--
Mathieu



Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>:
Bug#706980; Package pkg-php-tools. (Tue, 28 May 2013 11:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Genannt <jonas.genannt@capi2name.de>:
Extra info received and forwarded to list. Copy sent to Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>. (Tue, 28 May 2013 11:48:07 GMT) Full text and rfc822 format available.

Message #62 received at 706980@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: Mathieu Parent <math.parent@gmail.com>
Cc: Prach Pongpanich <prachpub@gmail.com>, 706980@bugs.debian.org, Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Subject: Re: [pkg-php-pear] Bug#706980: RFS: php5-stomp - STOMP module
Date: Tue, 28 May 2013 13:44:44 +0200
Hello Mathieu,

> And if you run?:
> dh_phppear
> cat debian/*.substvars

dh_phppear
cat debian/*.substvars
phppear:Debian-Depends=php-pear (>= 1.4.0), php5 (>= 5.2.2), php5 (>=
5.2.2), php-pear (>= 1.4.0), phpapi-20121212, phpapi-20121212
phppear:summary=Stomp client extension phppear:description=This
extension allows php applications to communicate with any
Stomp${Newline}compliant Message Brokers through easy object oriented
and procedural${Newline}interfaces. phppear:channel=pecl.php.net


	Jonas



Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>:
Bug#706980; Package pkg-php-tools. (Tue, 28 May 2013 13:33:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Parent <math.parent@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>. (Tue, 28 May 2013 13:33:13 GMT) Full text and rfc822 format available.

Message #67 received at 706980@bugs.debian.org (full text, mbox):

From: Mathieu Parent <math.parent@gmail.com>
To: Jonas Genannt <jonas.genannt@capi2name.de>
Cc: Prach Pongpanich <prachpub@gmail.com>, 706980@bugs.debian.org, Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Subject: Re: [pkg-php-pear] Bug#706980: RFS: php5-stomp - STOMP module
Date: Tue, 28 May 2013 15:29:29 +0200
2013/5/28 Jonas Genannt <jonas.genannt@capi2name.de>:
> Hello Mathieu,
>
>> And if you run?:
>> dh_phppear
>> cat debian/*.substvars
>
> dh_phppear
> cat debian/*.substvars
> phppear:Debian-Depends=php-pear (>= 1.4.0), php5 (>= 5.2.2), php5 (>=
> 5.2.2), php-pear (>= 1.4.0), phpapi-20121212, phpapi-20121212
> phppear:summary=Stomp client extension phppear:description=This
> extension allows php applications to communicate with any
> Stomp${Newline}compliant Message Brokers through easy object oriented
> and procedural${Newline}interfaces. phppear:channel=pecl.php.net

It behaves correctly (appart from the duplicate entries solved in 1.5.1).

Maybe dh_phppear is not run. Can you attach the complete build log?



--
Mathieu



Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>:
Bug#706980; Package pkg-php-tools. (Tue, 28 May 2013 13:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Parent <math.parent@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>. (Tue, 28 May 2013 13:39:09 GMT) Full text and rfc822 format available.

Message #72 received at 706980@bugs.debian.org (full text, mbox):

From: Mathieu Parent <math.parent@gmail.com>
To: Jonas Genannt <jonas.genannt@capi2name.de>
Cc: Prach Pongpanich <prachpub@gmail.com>, 706980@bugs.debian.org, Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Subject: Re: [pkg-php-pear] Bug#706980: RFS: php5-stomp - STOMP module
Date: Tue, 28 May 2013 15:37:09 +0200
2013/5/28 Mathieu Parent <math.parent@gmail.com>:
> 2013/5/28 Jonas Genannt <jonas.genannt@capi2name.de>:
>> Hello Mathieu,
>>
>>> And if you run?:
>>> dh_phppear
>>> cat debian/*.substvars
>>
>> dh_phppear
>> cat debian/*.substvars
>> phppear:Debian-Depends=php-pear (>= 1.4.0), php5 (>= 5.2.2), php5 (>=
>> 5.2.2), php-pear (>= 1.4.0), phpapi-20121212, phpapi-20121212
>> phppear:summary=Stomp client extension phppear:description=This
>> extension allows php applications to communicate with any
>> Stomp${Newline}compliant Message Brokers through easy object oriented
>> and procedural${Newline}interfaces. phppear:channel=pecl.php.net
>
> It behaves correctly (appart from the duplicate entries solved in 1.5.1).
>
> Maybe dh_phppear is not run. Can you attach the complete build log?


This is it: I have the guilty commit:

http://anonscm.debian.org/gitweb/?p=pkg-php/pkg-php-tools.git;a=commitdiff;h=dbfe0c9b6b77f2597223b8b57588a93e7c721dbe

The problem is present onlywith recent debhelper and pkg-php-tools >= 1.4.

Will patch and upload in about 2 hours.

Regards

--
Mathieu



Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>:
Bug#706980; Package pkg-php-tools. (Tue, 28 May 2013 15:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Parent <math.parent@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>. (Tue, 28 May 2013 15:27:04 GMT) Full text and rfc822 format available.

Message #77 received at 706980@bugs.debian.org (full text, mbox):

From: Mathieu Parent <math.parent@gmail.com>
To: Jonas Genannt <jonas.genannt@capi2name.de>
Cc: Prach Pongpanich <prachpub@gmail.com>, 706980@bugs.debian.org, Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Subject: Re: [pkg-php-pear] Bug#706980: RFS: php5-stomp - STOMP module
Date: Tue, 28 May 2013 17:26:07 +0200
2013/5/28 Mathieu Parent <math.parent@gmail.com>:
[...]
>> Maybe dh_phppear is not run. Can you attach the complete build log?
>
>
> This is it: I have the guilty commit:
>
> http://anonscm.debian.org/gitweb/?p=pkg-php/pkg-php-tools.git;a=commitdiff;h=dbfe0c9b6b77f2597223b8b57588a93e7c721dbe
>
> The problem is present onlywith recent debhelper and pkg-php-tools >= 1.4.
>
> Will patch and upload in about 2 hours.
Solved in version 1.4.1 (unstable) and 1.5.1 (experimental)

--
Mathieu



Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>:
Bug#706980; Package pkg-php-tools. (Wed, 29 May 2013 07:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Genannt <jonas.genannt@capi2name.de>:
Extra info received and forwarded to list. Copy sent to Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>. (Wed, 29 May 2013 07:03:05 GMT) Full text and rfc822 format available.

Message #82 received at 706980@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: Mathieu Parent <math.parent@gmail.com>
Cc: Prach Pongpanich <prachpub@gmail.com>, 706980@bugs.debian.org, Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Subject: Re: [pkg-php-pear] Bug#706980: RFS: php5-stomp - STOMP module
Date: Wed, 29 May 2013 09:00:05 +0200
Hello Mathieu,

> > This is it: I have the guilty commit:
> >
> > http://anonscm.debian.org/gitweb/?p=pkg-php/pkg-php-tools.git;a=commitdiff;h=dbfe0c9b6b77f2597223b8b57588a93e7c721dbe
> >
> > The problem is present onlywith recent debhelper and pkg-php-tools
> > >= 1.4.
> >
> > Will patch and upload in about 2 hours.
> Solved in version 1.4.1 (unstable) and 1.5.1 (experimental)


nice work. I have tested stomp-php against pkg-php-tools 1.5.2 and it's
working.

I have now following depend line:

libc6 (>= 2.14), php5 (>= 5.2.2), php-pear (>= 1.4.0), phpapi-20121212

Do you plan to upload 1.5.2 to unstable?


Thanks,
	Jonas



Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>:
Bug#706980; Package pkg-php-tools. (Wed, 29 May 2013 07:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Parent <math.parent@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>. (Wed, 29 May 2013 07:45:07 GMT) Full text and rfc822 format available.

Message #87 received at 706980@bugs.debian.org (full text, mbox):

From: Mathieu Parent <math.parent@gmail.com>
To: Jonas Genannt <jonas.genannt@capi2name.de>
Cc: Prach Pongpanich <prachpub@gmail.com>, 706980@bugs.debian.org, Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Subject: Re: [pkg-php-pear] Bug#706980: RFS: php5-stomp - STOMP module
Date: Wed, 29 May 2013 09:42:13 +0200
2013/5/29 Jonas Genannt <jonas.genannt@capi2name.de>:
> Hello Mathieu,
>
>> > This is it: I have the guilty commit:
>> >
>> > http://anonscm.debian.org/gitweb/?p=pkg-php/pkg-php-tools.git;a=commitdiff;h=dbfe0c9b6b77f2597223b8b57588a93e7c721dbe
>> >
>> > The problem is present onlywith recent debhelper and pkg-php-tools
>> > >= 1.4.
>> >
>> > Will patch and upload in about 2 hours.
>> Solved in version 1.4.1 (unstable) and 1.5.1 (experimental)
>
>
> nice work. I have tested stomp-php against pkg-php-tools 1.5.2 and it's
> working.
>
> I have now following depend line:
>
> libc6 (>= 2.14), php5 (>= 5.2.2), php-pear (>= 1.4.0), phpapi-20121212
>
> Do you plan to upload 1.5.2 to unstable?

1.6 (with a testsuite!) will be in unstable probably on monday. If you
can't wait, you somebody else can upload it now (testsuite on
BuildSystem is still missing but this can wait an 1.6.1).

Regards

--
Mathieu Parent



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 27 Jun 2013 07:35:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 17:03:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.